ダウンロード数/...最新バージョン/...

ダウンロード数/
...
最新バージョン/
...

NEWSbaserCMSニュース

さくらインターネットのメンテナンスで一部のbaserCMSが動作しなくなる

2018.10.04 お知らせ

この記事をシェアする

Facebook Twitter はてなブックマーク

さくらインターネットで利用しているbaserCMSが動作しなくなる事があります。
これは、2018年10月3日にさくらインターネットの一部のサーバーでPHPのバージョンが自動的アップデートされた事が原因となります。

《対象サーバー》
PHP7.1を利用中のさくらのレンタルサーバ・マネージドサーバ

《変更後のPHPのバージョン》
PHP7.2

《動作不良の対象となるbaserCMSのバージョン》
4.0.x

《対処方法》
baserCMSを最新版にアップデートします。
もしくは、一時的に、PHPのバージョンを7.1に戻す。

 

baserCMS3系を利用している場合

また、baserCMS バージョン 3.x.x は、PHP7.x にて動作しません。
こちらも最新版へのバージョンアップが必要です。

 

プラグインが問題となる場合

また、baserCMS本体だけでなく、プラグインが原因で動作不良を引き起こしている場合もあります。現在、報告されているプラグインは2つとなります。

  • BurgerEditor
  • optionallink(現在、非公開中)

これは、一部のクラスで、Object という CakePHPの古いバージョンで定義されていたクラスを継承している為です。継承を外す事で動作不良を解決できます。

《BurgerEditorの場合の対処方法》

プログラムファイルを編集します。 /Lib/BurgerEditorUtil.php

class BurgerEditorUtil extends Object {

class BurgerEditorUtil {

 

ご自分で対処できない場合

ご自分でのバージョンアップが難しいという場合は、baserCMSのクリエイティブパートナーにご相談ください。

 

 

この記事をシェアする

Facebook Twitter はてなブックマーク